/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import {
  Title,
  Description,
  Primary,
  PRIMARY_STORY,
  ArgsTable,
} from '@storybook/addon-docs/blocks';
import MainProvider from '~context/MainProvider';
import getOperatorData from '../../../../../tests/factories/pages/operator.factory';
import verifyIcon from '../../../../../storybook-images/verifiedAuthor.svg';
import TemplateThree from '.';

const pageData = getOperatorData();

pageData.relation.extra_fields = {
  terms_and_conditions:
    '18+ – Lorem ipsum dolor sit amet, consectetur adipiscing elit. Tellus proin nunc, nunc est nec mattis augue gravida volutpat.',
  terms_and_conditions_text_enabled: '1',
};

export default {
  title: 'Theme/Modules/Template Blocks/Operator review page/Review Summary/Template Three',
  component: TemplateThree,
  argTypes: {
    page: {
      name: 'Page Object',
      type: { name: 'Object' },
      defaultValue: pageData,
    },
    verify: {
      defaultValue: verifyIcon,
    },
  },
  parameters: {
    docs: {
      description: {
        component: 'Operator Review Header - Template Two',
      },
      page: () => (
        <>
          <Title />
          <Description />
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

const Template = (args) => (
  <MainProvider
    value={{
      bannerIsActive: false,
      cookieAccepted: true,
      translations: {
        online_casino: 'Online Casino',
      },
    }}
  >
    <TemplateThree {...args} />
  </MainProvider>
);
export const Default = Template.bind({});
Default.args = {};
